var five = require("../lib/johnny-five.js"),
    board, servos, count, degrees, interval;

board = new five.Board();

board.on("ready", function() {

  count = 0;

  degrees = [ 0, 45, 90, 135, 180, 135, 90, 45 ];

  // Create a new `servos` hardware instances.
  servos = {
    i2c: new five.Servo({ i2c: true, pin: 1 }),
    pwm: new five.Servo(9)
  };

  interval = setInterval(function() {
    var position = degrees[ count ];

    servos.i2c.move( position );
    servos.pwm.move( position );

    if ( ++count === degrees.length ) {
      count = 0;
    }


    servos.i2c.read( 0x0, function( data ) {
      console.log( "READ", data );
    });


  }, 1000);


  this.repl.inject({
    s: servos,
    kill: function() {
      clearInterval(interval);
    }
  });



  // Servo API

  // min()
  //
  // set the servo to the minimum degrees
  // defaults to 0
  //
  // eg. servo.min();

  // max()
  //
  // set the servo to the maximum degrees
  // defaults to 180
  //
  // eg. servo.max();

  // center()
  //
  // centers the servo to 90°
  //
  // servo.pwm.center();
  //servo.pwm.center();

  // move( deg )
  //
  // Moves the servo to position by degrees
  //
  // servo.move( 90 );

});
