var Board = require("../lib/board.js"),
    events = require("events"),
    util = require("util"),
    __ = require("../lib/fn.js"),
    es6 = require("es6-collections"),
    WeakMap = es6.WeakMap


var DeviceMap,
    priv = new WeakMap();


DeviceMap = {

};

function LCD( opts ) {

  if ( !(this instanceof LCD) ) {
    return new LCD( opts );
  }

  opts = Board.options( opts );

  // Hardware instance properties
  this.board = Board.mount( opts );
  this.firmata = this.board.firmata;

  priv.set( this, {
    addr: 0x27
  });

  this.line = 0;

  this.display = LCD.DOTS[ opts.rows || "5x8" ];
  this.rows = LCD.LINE[ opts.rows || 2 ];

  // Set up I2C data connection
  this.firmata.sendI2CConfig();


  this.begin();



  // From LiquidCrystal...
  //
  // When the display powers up, it is configured as follows:
  //
  // 1. Display clear
  // 2. Function set:
  //    DL = 1; 8-bit interface data
  //    N = 0; 1-line display
  //    F = 0; 5x8 dot character font
  // 3. Display on/off control:
  //    D = 0; Display off
  //    C = 0; Cursor off
  //    B = 0; Blinking off
  // 4. Entry mode set:
  //    I/D = 1; Increment by 1
  //    S = 0; No shift
  //
  //
  //
  //

  // Iterate and burst each set of setup instructions
  // setup.forEach(function( byteArray ) {
  //   this.firmata.sendI2CWriteRequest( address, byteArray );
  // }, this);


  // this.firmata.sendI2CWriteRequest( address, [ LCD.CLEARDISPLAY, ] );

  // device = DeviceMap[ opts.device ];

  // address = device.address;
  // bytes = device.bytes;
  // data = device.data;
  // delay = device.delay;
  // setup = device.setup;
  // properties = device.properties;

  // Read event throttling
  // this.freq = opts.freq || 500;


  // Make private data entry
  // priv.set( this, { x: 0, y: 0, z: 0 } );
}


LCD.prototype.noBacklight = function() {
  this.burst( [ LCD.BACKLIGHT.OFF ]);
};

LCD.prototype.command = function( value ) {
  this.firmata.sendI2CWriteRequest( priv.get(this).address, [ value ] );
};

function send( value ) {

}


LCD.prototype.begin = function() {
  // Junk data to reset display
  //
  this.burst( [ 0xFF, 0x00 ] );

  // Set the IO direction
  //
  this.burst( [ 0x00 ] );

  //
  //


  return this;
};

LCD.prototype.burst = function( bytes ) {
  this.firmata.sendI2CWriteRequest( priv.get(this).address, bytes );
};

LCD.prototype.clear = function() {

  this.firmata.sendI2CWriteRequest( address, [ LCD.CLEARDISPLAY, ] );

  return this;
};

/**
 *

begin()
clear()
home()
setCursor()
burst()
print()
cursor()
noCursor()
blink()
noBlink()
display()
noDisplay()
scrollDisplayLeft()
scrollDisplayRight()
autoscroll()
noAutoscroll()
leftToRight()
rightToLeft()
createChar()


*/


// commands
LCD.CLEARDISPLAY = 0x01
LCD.RETURNHOME = 0x02
LCD.ENTRYMODESET = 0x04
LCD.DISPLAYCONTROL = 0x08
LCD.CURSORSHIFT = 0x10
LCD.FUNCTIONSET = 0x20
LCD.SETCGRAMADDR = 0x40
LCD.SETDDRAMADDR = 0x80

// flags for display entry mode
LCD.ENTRYRIGHT = 0x00
LCD.ENTRYLEFT = 0x02
LCD.ENTRYSHIFTINCREMENT = 0x01
LCD.ENTRYSHIFTDECREMENT = 0x00

// flags for display on/off control
LCD.DISPLAYON = 0x04
LCD.DISPLAYOFF = 0x00
LCD.CURSORON = 0x02
LCD.CURSOROFF = 0x00
LCD.BLINKON = 0x01
LCD.BLINKOFF = 0x00

// flags for display/cursor shift
LCD.DISPLAYMOVE = 0x08
LCD.CURSORMOVE = 0x00
LCD.MOVERIGHT = 0x04
LCD.MOVELEFT = 0x00

// flags for function set
// Intentionally sparse array
LCD.BITMODE = [ , , , , 0x00, , , , 0x10 ];
// 4 & 8

// Intentionally sparse array
LCD.LINE = [ , 0x00, 0x08 ];
// 1 & 2

LCD.DOTS = {
  "5x10": 0x04,
  "5x8": 0x00
};

// flags for backlight control
LCD.BACKLIGHT = {
  ON: 0x08,
  OFF: 0x00
};



module.exports = LCD;
